Bug 728524 - frozen bubble will need new SDL
Summary: frozen bubble will need new SDL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SDL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 725949
TreeView+ depends on / blocked
 
Reported: 2011-08-05 12:21 UTC by Marcela Mašláňová
Modified: 2012-07-12 12:59 UTC (History)
4 users (show)

Fixed In Version: perl-SDL-2.540-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-12 12:59:48 UTC


Attachments (Terms of Use)
Patch for updating to version 2.540 (5.13 KB, patch)
2012-07-12 07:58 UTC, Jitka Plesnikova
no flags Details | Diff

Description Marcela Mašláňová 2011-08-05 12:21:03 UTC
I wonder why we have so old SDL? They even changed versioning since our last update:
http://cpansearch.perl.org/src/KTHAKORE/SDL-2.533/CHANGELOG

Upstream of frozen-bubble asked me to update to their beta version, but I'm stuck with perl-SDL. It needs at least 2.511.

Comment 1 Hans de Goede 2011-08-05 12:54:26 UTC
Hi,

We are at the old perl-SDL because the old frozen bubble would not work with the new perl-SDL (and AFAIK the new perl-SDL does still not have a stable API yet, which may also be a problem).

So if the new frozen-bubble needs the new perl-SDL feel free to update perl-SDL too, request rights in pkgdb if necessary and I'll gladly grant them.

Note that phoronix-test-suite is the only other perl-SDL user in Fedora, you may want to coordinate this with the phoronix-test-suite owner.

Thanks & Regards,

Hans

Comment 2 Petr Šabata 2011-10-04 12:24:19 UTC
phoronix-test-suite is now dead; frozen-bubble is the only package which requires perl-SDL in rawhide now.

I'm working on the new version (2.533) of the perl-SDL package.
There seems to be no SDL::Font anymore; would that affect frozen-bubble?

Comment 3 Jitka Plesnikova 2012-07-12 07:58:54 UTC
Created attachment 597728 [details]
Patch for updating to version 2.540

Comment 4 Jitka Plesnikova 2012-07-12 08:03:53 UTC
I update the perl-SDL to version 2.540 and tried to rebuild frozen-bubble. The frozen-bubble was built and ran without any errors. 

If you want to update the rpm, you can use the attachment.

Comment 5 Petr Šabata 2012-07-12 12:59:48 UTC
Wonderful, thank you.
I've pushed your changes with some minor cleanup and built the package.


Note You need to log in before you can comment on or make changes to this bug.